InflaterInputStream
Date: 2015-09-12

com.jcraft.jzlib

## Class InflaterInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - com.jcraft.jzlib.InflaterInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Direct Known Subclasses:
    GZIPInputStream

      public class InflaterInputStream
      extends java.io.FilterInputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buf`
    `protected static int` | `DEFAULT_BUFSIZE`
    `protected Inflater` | `inflater`
    `protected boolean` | `myinflater`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InflaterInputStream(java.io.InputStream in)`
    `InflaterInputStream(java.io.InputStream in, boolean nowrap)`
    `InflaterInputStream(java.io.InputStream in, Inflater inflater)`
    `InflaterInputStream(java.io.InputStream in, Inflater inflater, int size)`
    `InflaterInputStream(java.io.InputStream in, Inflater inflater, int size, boolean close_in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `void` | `close()`
    `protected void` | `fill()`
    `byte[]` | `getAvailIn()`
    `Inflater` | `getInflater()`
    `long` | `getTotalIn()`
    `long` | `getTotalOut()`
    `void` | `mark(int readlimit)`
    `boolean` | `markSupported()`
    `int` | `read()`
    `int` | `read(byte[] b, int off, int len)`
    `void` | `readHeader()`
    `void` | `reset()`
    `long` | `skip(long n)`

    - ### Methods inherited from class java.io.FilterInputStream

      `read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inflater

          protected final Inflater inflater

    - #### buf

          protected byte[] buf

    - #### DEFAULT_BUFSIZE

          protected static final int DEFAULT_BUFSIZE

      See Also:
        Constant Field Values

    - #### myinflater

          protected boolean myinflater

  - ### Constructor Detail

    - #### InflaterInputStream

          public InflaterInputStream(java.io.InputStream in)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### InflaterInputStream

          public InflaterInputStream(java.io.InputStream in,
                             boolean nowrap)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### InflaterInputStream

          public InflaterInputStream(java.io.InputStream in,
                             Inflater inflater)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### InflaterInputStream

          public InflaterInputStream(java.io.InputStream in,
                             Inflater inflater,
                             int size)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### InflaterInputStream

          public InflaterInputStream(java.io.InputStream in,
                             Inflater inflater,
                             int size,
                             boolean close_in)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b,
                 int off,
                 int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### available

          public int available()
                        throws java.io.IOException

      Overrides:
        `available` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### skip

          public long skip(long n)
                    throws java.io.IOException

      Overrides:
        `skip` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### fill

          protected void fill()
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### markSupported

          public boolean markSupported()

      Overrides:
        `markSupported` in class `java.io.FilterInputStream`

    - #### mark

          public void mark(int readlimit)

      Overrides:
        `mark` in class `java.io.FilterInputStream`

    - #### reset

          public void reset()
                     throws java.io.IOException

      Overrides:
        `reset` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### getTotalIn

          public long getTotalIn()

    - #### getTotalOut

          public long getTotalOut()

    - #### getAvailIn

          public byte[] getAvailIn()

    - #### readHeader

          public void readHeader()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getInflater

          public Inflater getInflater()